  Testing the SAS* Macros "BOOTSTRP" and "HALLWELL"
            on Your IBM Personal Computer



Both macros were developed using SAS on an IBM mainframe,
and they have been successfully tested with SAS, release
6.03, on an IBM PS/2 Model 80 personal computer.

Here is an account of how we tested the bootstrapping macro
on an IBM personal computer.  A similar procedure would
be used to test the Hall-Wellner macro.

After inserting the floppy disk containing the macro data-
sets into the A drive, we issued the following DOS command:

C> copy a:\bootstrp.mac+a:\bootstrp.dat c:\bootstrp.job

This created a dataset on the hard drive (C) consisting of
the SAS macro source code and a SAS datastep followed by
a call to the bootstrapping macro.  It is this "job" data-
set that SAS read as input when we typed...

C> sas bootstrp.job

The resulting SAS run created two datasets on the C drive:
bootstrp.lst and bootstrp.log, which, respectively, were
the output and log of the run.  These datasets, as well as
datasets from the execution of a Hall-Wellner job, were
copied onto a floppy disk for eventual distribution.  So,
you can see the results of our test runs in the datasets
bootstrp.log, bootstrp.lst, hallwell.log, and hallwell.lst.
Due to the nature of the bootstrapping process, your output
dataset bootstrp.lst will not match ours.  This is not true
when the Hall-Wellner macro is used; i.e., the outputs
should match.

You can get a list of the datasets on the floppy disk by
typing

C> dir a:

and you can see the contents of a dataset such as bootstrp.-
-mac if you type

C> type a:\bootstrp.mac |more









* "SAS" is a registered trademark of
  SAS Institute Inc., Cary, NC, USA
